<?php
 //conn to database / savienojas ar datubāzi
  include_once 'dbh.inc.php';
 
  $id = 0;

  // insert statement or save buitton / ievietošana datubāzē 
  if (isset($_POST['submit'])) {
    $Fname = $_POST["fname"];
    $var1 = rand(1111,9999);  // generate random number in $var1 variable / ģeneŗē nejauši skaitli $var1 mainīgājā
    $var2 = rand(1111,9999);  // generate random number in $var2 variable / ģeneŗē nejauši skaitli $var2 mainīgājā
	
    $var3 = $var1.$var2;  // concatenate $var1 and $var2 in $var3 / savieno abus mainīgos $var3 mainīgājā 
    $var3 = md5($var3);   // convert $var3 using md5 function and generate 32 characters hex number / konvertē $var3 mainīgo ar md5 funkciju un ģenerē 32 hex skaitli

    $fnm = $_FILES["image"]["name"];    // get the image name in $fnm variable / ieūst bildes nosaukumu $fnm mainīgājā 
    $dst = "./all_images/".$var3.$fnm;  // storing image path into the {all_images} folder with 32 characters hex number and file name / saglabā bildes ceļu {all_images} mapē ar 32 hex skaitli un bildes nosaukumu 
    $dst_db = "all_images/".$var3.$fnm; // storing image path into the database with 32 characters hex number and file name / saglabā bildes ceļu datubāzē ar 32 hex skaitli un bildes nosaukumu 

    move_uploaded_file($_FILES["image"]["tmp_name"],$dst);  // move image into the {all_images} folder with 32 characters hex number and image name / ievieto bildi {all_images} mapē ar 32 hex skaitli un bildes nosaukumu 

    $conn->query("INSERT INTO gallery (fname,images) VALUES ('$Fname','$dst_db')");  // executing insert query / izpilda ievietošanas skriptu

      header("url: ../afterlogin.php");
  }

//delete button
if (isset($_GET['delete'])) {
  $id = $_GET['delete'];
  $conn->query("DELETE FROM gallery WHERE id=$id") or die ($mysqli->error()); // executing delete query / izpilda dzēšanas skriptu 


    header("location: ../afterlogin.php");
}
?>
